%{?nodejs_find_provides_and_requires}

Name:       nodejs-abbrev
Version:    1.1.1
Release:    %mkrel 3
Group:      Development/C
Summary:    Abbreviation calculator for Node.js
License:    MIT
URL:        https://github.com/isaacs/abbrev-js
Source0:    https://registry.npmjs.org/abbrev/-/abbrev-%{version}.tgz
BuildArch:  noarch

BuildRequires:  nodejs-packaging

%description
Calculate the set of unique abbreviations for a given set of strings.

%prep
%setup -q -n package

%build
#nothing to do

%install

mkdir -p %{buildroot}%{nodejs_sitelib}/abbrev
cp -pr abbrev.js package.json %{buildroot}%{nodejs_sitelib}/abbrev

%nodejs_symlink_deps

%check
node abbrev.js

%files
%{nodejs_sitelib}/abbrev
%doc README.md
%license LICENSE



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.1-3.mga10
+ Revision: 2209391
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.1.1-2.mga9
+ Revision: 1820130
- Mageia 9 Mass Rebuild

* Thu Jun 11 2020 joequant <joequant> 1.1.1-1.mga8
+ Revision: 1592531
- update to 1.1.1

* Wed Feb 12 2020 umeabot <umeabot> 1.0.4-4.mga8
+ Revision: 1492311
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0.4-3.mga7
+ Revision: 1264667
- Mageia 7 Mass Rebuild

* Mon Feb 08 2016 umeabot <umeabot> 1.0.4-2.mga6
+ Revision: 950280
- Mageia 6 Mass Rebuild

* Mon Oct 27 2014 tv <tv> 1.0.4-1.mga5
+ Revision: 793649
- imported package nodejs-abbrev


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 1.0.4-1.mga5
- import from FC

* Fri May 03 2013 Stanislav Ochotnicky <sochotnicky@redhat.com> - 1.0.4-5
- Run unit tests as part of build

* Mon Apr 15 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.4-4
- add macro for EPEL6 dependency generation

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jan 13 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.4-2
- fix missing dist macro in Release

* Thu Jan 10 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.4-1
- new upstream release 1.0.4
- include newly added LICENSE file

* Tue Jan 08 2013 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.3-5
- add missing build section

* Mon Dec 31 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.3-4
- clean up for submission

* Fri Apr 27 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.3-3
- guard Requires for F17 automatic depedency generation

* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.3-2
- missing Group field for EL5

* Sat Jan 21 2012 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.3-1
- new upstream release 1.0.3

* Mon Aug 22 2011 T.C. Hollingsworth <tchollingsworth@gmail.com> - 1.0.2-1
- initial package
